<?xml version="1.0" encoding="UTF-8"?>
<web-app xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://java.sun.com/xml/ns/javaee" xsi:schemaLocation="http://java.sun.com/xml/ns/javaee http://java.sun.com/xml/ns/javaee/web-app_3_0.xsd" id="WebApp_ID" version="3.0">
  <display-name>moumi06</display-name>
  <welcome-file-list>
    <welcome-file>index.html</welcome-file>
    <welcome-file>index.htm</welcome-file>
    <welcome-file>index.jsp</welcome-file>
    <welcome-file>default.html</welcome-file>
    <welcome-file>default.htm</welcome-file>
    <welcome-file>default.jsp</welcome-file>
  </welcome-file-list>
  <filter>
    <filter-name>JavascriptDependencyFilter</filter-name>
    <filter-class>gr.abiss.mvn.plugins.jstools.web.JavascriptDependencyFilter</filter-class>
    <init-param>
      <param-name>allowedExtentions</param-name>
      <param-value>js as fla png jpg gif txt css html htm xml xsl xslt svg svgz swf</param-value>
    </init-param>
    <init-param>
      <param-name>cacheControl</param-name>
      <param-value>max-age=86400</param-value>
    </init-param>
    <init-param>
      <param-name>enableGzip</param-name>
      <param-value>true</param-value>
    </init-param>
    <init-param>
      <param-name>enableCache</param-name>
      <param-value>true</param-value>
    </init-param>
    <init-param>
      <param-name>enableGzipedCache</param-name>
      <param-value>true</param-value>
    </init-param>
    <init-param>
      <param-name>send404</param-name>
      <param-value>true</param-value>
    </init-param>
    <init-param>
      <param-name>basePath</param-name>
      <param-value>/lib/js/</param-value>
    </init-param>
  </filter>
  <filter-mapping>
    <filter-name>JavascriptDependencyFilter</filter-name>
    <url-pattern>/lib/js/*</url-pattern>
  </filter-mapping>
  <listener>
    <listener-class>
			org.apache.commons.fileupload.servlet.FileCleanerCleanup
		</listener-class>
  </listener>
  <filter>
    <filter-name>Moumi</filter-name>
    <filter-class>kr.co.kihyun.moumi.Moumi</filter-class>
  </filter>
  <filter-mapping>
    <filter-name>Moumi</filter-name>
    <url-pattern>/*</url-pattern>
  </filter-mapping>
  <filter>
    <filter-name>encodingFilter</filter-name>
    <filter-class>org.springframework.web.filter.CharacterEncodingFilter</filter-class>
    <init-param>
      <param-name>encoding</param-name>
      <param-value>UTF-8</param-value>
    </init-param>
  </filter>
  <filter-mapping>
    <filter-name>encodingFilter</filter-name>
    <url-pattern>/*</url-pattern>
  </filter-mapping>
</web-app>